curl --request POST \
--url https://{defaultHost}/v1/saved_lists \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"saved_list": {
"customer": "5dca0055-1d9c-444e-8bb6-253ca88a59a2",
"name": "Birthday ideas"
}
}
'import requests
url = "https://{defaultHost}/v1/saved_lists"
payload = { "saved_list": {
"customer": "5dca0055-1d9c-444e-8bb6-253ca88a59a2",
"name": "Birthday ideas"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
saved_list: {customer: '5dca0055-1d9c-444e-8bb6-253ca88a59a2', name: 'Birthday ideas'}
})
};
fetch('https://{defaultHost}/v1/saved_lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{defaultHost}/v1/saved_lists",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'saved_list' => [
'customer' => '5dca0055-1d9c-444e-8bb6-253ca88a59a2',
'name' => 'Birthday ideas'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{defaultHost}/v1/saved_lists"
payload := strings.NewReader("{\n \"saved_list\": {\n \"customer\": \"5dca0055-1d9c-444e-8bb6-253ca88a59a2\",\n \"name\": \"Birthday ideas\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{defaultHost}/v1/saved_lists")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"saved_list\": {\n \"customer\": \"5dca0055-1d9c-444e-8bb6-253ca88a59a2\",\n \"name\": \"Birthday ideas\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{defaultHost}/v1/saved_lists")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"saved_list\": {\n \"customer\": \"5dca0055-1d9c-444e-8bb6-253ca88a59a2\",\n \"name\": \"Birthday ideas\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "c2528c29-fb42-41a0-8120-cb2e7d108f86",
"object": "saved_list",
"default": false,
"live_mode": true,
"metadata": {},
"name": "Birthday ideas",
"customer": "5dca0055-1d9c-444e-8bb6-253ca88a59a2",
"created_at": 1792401380,
"updated_at": 1792401380
}Create
Creates a new saved list for a customer.
curl --request POST \
--url https://{defaultHost}/v1/saved_lists \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"saved_list": {
"customer": "5dca0055-1d9c-444e-8bb6-253ca88a59a2",
"name": "Birthday ideas"
}
}
'import requests
url = "https://{defaultHost}/v1/saved_lists"
payload = { "saved_list": {
"customer": "5dca0055-1d9c-444e-8bb6-253ca88a59a2",
"name": "Birthday ideas"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
saved_list: {customer: '5dca0055-1d9c-444e-8bb6-253ca88a59a2', name: 'Birthday ideas'}
})
};
fetch('https://{defaultHost}/v1/saved_lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{defaultHost}/v1/saved_lists",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'saved_list' => [
'customer' => '5dca0055-1d9c-444e-8bb6-253ca88a59a2',
'name' => 'Birthday ideas'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{defaultHost}/v1/saved_lists"
payload := strings.NewReader("{\n \"saved_list\": {\n \"customer\": \"5dca0055-1d9c-444e-8bb6-253ca88a59a2\",\n \"name\": \"Birthday ideas\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{defaultHost}/v1/saved_lists")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"saved_list\": {\n \"customer\": \"5dca0055-1d9c-444e-8bb6-253ca88a59a2\",\n \"name\": \"Birthday ideas\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{defaultHost}/v1/saved_lists")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"saved_list\": {\n \"customer\": \"5dca0055-1d9c-444e-8bb6-253ca88a59a2\",\n \"name\": \"Birthday ideas\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "c2528c29-fb42-41a0-8120-cb2e7d108f86",
"object": "saved_list",
"default": false,
"live_mode": true,
"metadata": {},
"name": "Birthday ideas",
"customer": "5dca0055-1d9c-444e-8bb6-253ca88a59a2",
"created_at": 1792401380,
"updated_at": 1792401380
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Show child attributes
Show child attributes
Response
Success
The UUID of the specific object.
A string describing the object type returned.
Expandable – The associated customer ID.
Whether this is the customer's default list. Every customer has exactly one, and it can't be renamed or deleted.
Set to true if this list belongs to a live mode customer.
The name of the list. The default list has a fixed name.
Expandable – Property not returned unless expanded.
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?